from alltests import *
from oops import *
import os


class IOTests(TestCase):
	def runTest(self):
		dict = Dict()
		for i in range(1000):
			dict[i] = i
		self.failIf(len(dict)!=1000, "dict does not have the correct amount of items")
		for i in range(1000):
			self.failIf(i not in dict, "%r is missing from dict" % i)
			self.failIf(dict[i] != i, "dict[%r]!=%r. what's up with that?" % (i, i))
		newdict = Dict()
		for i in range(10):
			newdict[i] = i
		dict["newdict"] = newdict
		self.failIf(len(dict["newdict"])!=10, "subordinate dict is not the right size")
		for i in range(10):
			self.failIf(dict["newdict"][i]!=i, "subordinate dict has incorrect values")
		dict["new newdict"] = dict["newdict"]
		self.failIf(len(dict["new newdict"])!=10, "subordinate dict is not the right size")
		for i in range(10):
			self.failIf(dict["new newdict"][i]!=i, "subordinate dict has incorrect values")


DictSuite = TestSuite([IOTests()])
testsuites.append(DictSuite)
